#ifndef YRTEngineH
#define YRTEngineH

#include <Graphics.hpp>

#include "YRTScene.h"

typedef void (__closure *TYRTEngineUpdateFunc) (int);

class TYRTEngine
{
private:
    TDateTime BegTime, FinTime;
public:
    TDateTime GetRenderTime(void);
    void RenderScene(TYRTScene *AScene, TCanvas *ACanvas, TYRTEngineUpdateFunc AUpdateFunc);
};

#endif
