#ifndef YRTMainH
#define YRTMainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>

#include "YRTEngine.h"
#include "YRTScene.h"

class TYRTMainForm : public TForm
{
__published:
    TPanel *InfoPanel;
    TButton *RenderButton;
    TLabel *ProgressLabel;
    TLabel *TimeLabel;
    TPanel *ScenePanel;
    TImage *SceneImage;
    void __fastcall FormCreate(TObject *ASender);
    void __fastcall RenderButtonClick(TObject *ASender);
private:
    TYRTEngine Engine;
    TYRTScene Scene;
    void UpdateProgress(int Ax);
    void UpdateTime(void);
public:
    __fastcall TYRTMainForm(TComponent* AOwner);
};

extern PACKAGE TYRTMainForm *YRTMainForm;

#endif
